# Produces the PDF for each .cfg file in the ./cfg folder.

from graphviz import Digraph
import os

for fname in os.listdir('cfg'):
    if not fname.endswith('.cfg'):
        continue
    with open('cfg/' + fname, 'r') as f:
        lines = f.readlines()
        n = int(lines[0])
        g = Digraph('G', filename='cfg/' + fname + '.gv')
        for node in range(1, n + 1):
            g.node(str(node), str(node))
        g.edges([tuple(edge.split()) for edge in lines[1:]])
        g.render()
